LR_SQL2REPORT.IN(1)

NAME
lr_sql2report - generate a report from Lire DLF data stored in an SQL database

SYNOPSIS
lr_sql2report [options] superservice datetime-start datetime-end

OPTIONS

-h  Prints usage information and exits.

-i  Generate charts for all reports that support it. Normally, charts will be generated only if the variable LR_INCLUDEIMAGES is set to 1.

-c report_cfg
    Use the file report_cfg (e.g. /etc/lire/print.cfg.local) as the report configuration file instead of the default one.

-o output format
    Per default, simple text output is generated. Specify preferred output format. Refer to lr_log2report(1) for a list of supported output formats.

-v  Prints version and exits.

DESCRIPTION
lr_sql2report reports on the period datetime-start datetime-end, using DLF data stored in an SQL database. It calls lr_sql2dlf(1), lr_dlf2xml(1) and lr_xml2report(1) to perform the real work. The arguments datetime-start and datetime-end are passed as-is to lr_sql2dlf(1); therefore, these should be specified using YYYY-MM-DD HH:MM format.

SEE ALSO
lr_sql2dlf(1), lr_dlf2xml(1), lr_xml2report(1)

AUTHOR
Arnaud Gaillard with Francis Lacoste

VERSION
$Id: lr_sql2report.in,v 1.4 2002/08/16 22:02:55 vanbaal Exp $

COPYRIGHT
Copyright (C) 2000-2002 Stichting LogReport Foundation LogReport@LogReport.org

Arnaud Gaillard <wireless@orange.ch>

This program is part of Lire.

Lire is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program (see COPYING); if not, check with http://www.gnu.org/copyleft/gpl.html or write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111, USA.